Subject: bug#29525: Please don't default to "--unique" mode for Okular

From: Arash Esbati <[email-masked]>
Date: Fri, 01 Dec 2017 22:49:11 +0100

Reuben Thomas <[email-masked]> writes:

> I noticed that Emacs seemed only ever to start one instance of Okular,
> which makes it impossible to view multiple files side-by-side. I tracked
> this down to its use of --unique. While there may well be users who prefer
> this style, I suggest that it shouldn't be the default in AUCTeX, because
> it's not the default for other viewers.

Hi Reuben,

it is also the default for Yap, dviout, SumatraPDF.  And this is the
problem with defaults: Never 100% satisfied customers.  But this is
Emacs, you can customize everything :-)  Just set your preference in
`TeX-view-program-list' in order to overwrite AUCTeX's default which is
defined in `TeX-view-program-list-builtin'.  E.g., in your .emacs with:

    (setq TeX-view-program-list
          '((Okular" ("okular %o"
                      (mode-io-correlate "#src:%n%a")) "okular")))

Best, Arash